Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar.shell
Class MultiwordShellCommand

    java.lang.Object
      org.hyperic.sigar.shell.ShellCommandBase
          org.hyperic.sigar.shell.MultiwordShellCommand

All Implemented Interfaces:
  ShellCommandHandler

Direct Known Subclasses:
  VMware

public class MultiwordShellCommand
extends ShellCommandBase

Field Summary

Fields inherited from class org.hyperic.sigar.shell.ShellCommandBase
`itsCommandName, itsShell`

Constructor Summary
`MultiwordShellCommand()`

Method Summary
`java.util.Set` | `getHandlerNames()`
`ShellCommandHandler` | `getSubHandler(java.lang.String subName)`
`java.lang.String` | `getSyntaxArgs()`
`java.lang.String` | `getUsageHelp(java.lang.String[] args)` Get some info on how to invoke this command.
`void` | `processCommand(java.lang.String[] args)` Handle a command.
`void` | `registerSubHandler(java.lang.String subName, ShellCommandHandler handler)`

Methods inherited from class org.hyperic.sigar.shell.ShellCommandBase
`getCommandName, getErrStream, getOutStream, getShell, getSyntax, getUsageShort, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiwordShellCommand

    public MultiwordShellCommand()

Method Detail

### getSubHandler

    public ShellCommandHandler getSubHandler(java.lang.String subName)

### getHandlerNames

    public java.util.Set getHandlerNames()

### registerSubHandler

    public void registerSubHandler(java.lang.String subName,
                                   ShellCommandHandler handler)
                            throws ShellCommandInitException

  Throws:
    `ShellCommandInitException`

### processCommand

    public void processCommand(java.lang.String[] args)
                        throws ShellCommandUsageException,
                               ShellCommandExecException

  Description copied from interface: `ShellCommandHandler`
  Handle a command.

  Specified by:
    `processCommand` in interface `ShellCommandHandler`
  Overrides:
    `processCommand` in class `ShellCommandBase`
  Throws:
    `ShellCommandUsageException`
    `ShellCommandExecException`

### getSyntaxArgs

    public java.lang.String getSyntaxArgs()

  Overrides:
    `getSyntaxArgs` in class `ShellCommandBase`

### getUsageHelp

    public java.lang.String getUsageHelp(java.lang.String[] args)

  Description copied from interface: `ShellCommandHandler`
  Get some info on how to invoke this command.

  Specified by:
    `getUsageHelp` in interface `ShellCommandHandler`
  Overrides:
    `getUsageHelp` in class `ShellCommandBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 Hyperic. All Rights Reserved.